-- IBUF_INTERMDISABLE: Input Buffer With Input Buffer Disable and On-die Input Termination Disable
--                     UltraScale
-- Xilinx HDL Language Template, version 2022.1

IBUF_INTERMDISABLE_inst : IBUF_INTERMDISABLE
generic map (
   SIM_DEVICE => "ULTRASCALE", -- Set the device version for simulation functionality (ULTRASCALE)
   USE_IBUFDISABLE => "TRUE"   -- Enable/Disable the IBUFDISABLE pin (FALSE, TRUE)
)
port map (
   O => O,                         -- 1-bit output: Buffer output
   I => I,                         -- 1-bit input: Buffer input (connect directly to top-level port)
   IBUFDISABLE => IBUFDISABLE,     -- 1-bit input: Buffer disable input, high=disable
   INTERMDISABLE => INTERMDISABLE  -- 1-bit input: Input Termination Disable
);

-- End of IBUF_INTERMDISABLE_inst instantiation
