-- BUFGCE: General Clock Buffer with Clock Enable
--         UltraScale
-- Xilinx HDL Language Template, version 2022.1

BUFGCE_inst : BUFGCE
generic map (
   CE_TYPE => "SYNC",               -- ASYNC, HARDSYNC, SYNC
   IS_CE_INVERTED => '0',           -- Programmable inversion on CE
   IS_I_INVERTED => '0',            -- Programmable inversion on I
   SIM_DEVICE => "ULTRASCALE_PLUS"  -- ULTRASCALE, ULTRASCALE_PLUS
)
port map (
   O => O,   -- 1-bit output: Buffer
   CE => CE, -- 1-bit input: Buffer enable
   I => I    -- 1-bit input: Buffer
);

-- End of BUFGCE_inst instantiation
