-- BUFGCE_DIV: General Clock Buffer with Divide Function
--             UltraScale
-- Xilinx HDL Language Template, version 2022.1

BUFGCE_DIV_inst : BUFGCE_DIV
generic map (
   BUFGCE_DIVIDE => 1,         -- 1-8
   -- Programmable Inversion Attributes: Specifies built-in programmable inversion on specific pins
   IS_CE_INVERTED => '0',      -- Optional inversion for CE
   IS_CLR_INVERTED => '0',     -- Optional inversion for CLR
   IS_I_INVERTED => '0',       -- Optional inversion for I
   SIM_DEVICE => "ULTRASCALE"  -- ULTRASCALE
)
port map (
   O => O,     -- 1-bit output: Buffer
   CE => CE,   -- 1-bit input: Buffer enable
   CLR => CLR, -- 1-bit input: Asynchronous clear
   I => I      -- 1-bit input: Buffer
);

-- End of BUFGCE_DIV_inst instantiation
