// HPIO_VREF: VREF Scan
//            UltraScale
// Xilinx HDL Language Template, version 2022.1

HPIO_VREF #(
   .VREF_CNTR("OFF")  // FABRIC_RANGE1, FABRIC_RANGE2, OFF
)
HPIO_VREF_inst (
   .VREF(VREF),                         // 1-bit output: Tuned output (connect to associated IBUFE3
                                        // component)

   .FABRIC_VREF_TUNE(FABRIC_VREF_TUNE)  // 7-bit input: VREF tuning value
);

// End of HPIO_VREF_inst instantiation
